org.apache.ivy.ant

## Class IvyBuildNumber

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyTask
      - - org.apache.ivy.ant.IvyBuildNumber

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyBuildNumber
    extends IvyTask

Look for the latest module in the repository matching the given criteria, and sets a set of properties according to what was found.

### Nested Class Summary

Nested Classes
`static class` `IvyBuildNumber.ResolvedModuleRevisionArtifactInfo`

### Field Summary

### Fields inherited from class org.apache.ivy.ant.IvyTask

`ANT_PROJECT_CONTEXT_KEY`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`IvyBuildNumber()`

### Method Summary

Methods
`void` `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` `getBranch()`
`java.lang.String` `getDefault()`
`java.lang.String` `getDefaultBuildNumber()`
`java.lang.String` `getModule()`
`java.lang.String` `getOrganisation()`
`java.lang.String` `getPrefix()`
`java.lang.String` `getResolver()`
`java.lang.String` `getRevision()`
`java.lang.String` `getRevSep()`
`void` `setBranch(java.lang.String branch)`
`void` `setDefault(java.lang.String default1)`
`void` `setDefaultBuildNumber(java.lang.String defaultBuildNumber)`
`void` `setModule(java.lang.String module)`
`void` `setOrganisation(java.lang.String organisation)`
`void` `setPrefix(java.lang.String prefix)`
`void` `setResolver(java.lang.String resolver)`
`void` `setRevision(java.lang.String revision)`
`void` `setRevSep(java.lang.String revSep)`

### Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IvyBuildNumber

    public IvyBuildNumber()

### Method Detail

#### getModule

    public java.lang.String getModule()

#### setModule

    public void setModule(java.lang.String module)

#### getOrganisation

    public java.lang.String getOrganisation()

#### setOrganisation

    public void setOrganisation(java.lang.String organisation)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision(java.lang.String revision)

#### getBranch

    public java.lang.String getBranch()

#### setBranch

    public void setBranch(java.lang.String branch)

#### getDefault

    public java.lang.String getDefault()

#### setDefault

    public void setDefault(java.lang.String default1)

#### getResolver

    public java.lang.String getResolver()

#### setResolver

    public void setResolver(java.lang.String resolver)

#### getPrefix

    public java.lang.String getPrefix()

#### setPrefix

    public void setPrefix(java.lang.String prefix)

#### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

Description copied from class: `IvyTask`
The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

Specified by:
  `doExecute` in class `IvyTask`
Throws:
  `org.apache.tools.ant.BuildException`

#### getRevSep

    public java.lang.String getRevSep()

#### setRevSep

    public void setRevSep(java.lang.String revSep)

#### getDefaultBuildNumber

    public java.lang.String getDefaultBuildNumber()

#### setDefaultBuildNumber

    public void setDefaultBuildNumber(java.lang.String defaultBuildNumber)